Bug 1002166 - Review Request: junit-benchmarks - Code benchmarking in JUnit4
Review Request: junit-benchmarks - Code benchmarking in JUnit4
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gerard Ryan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1002170
  Show dependency treegraph
 
Reported: 2013-08-28 10:38 EDT by gil cattaneo
Modified: 2014-01-11 03:43 EST (History)
2 users (show)

See Also:
Fixed In Version: junit-benchmarks-0.7.2-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-11 03:43:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
gerard: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2013-08-28 10:38:39 EDT
Spec URL: http://gil.fedorapeople.org/junit-benchmarks.spec
SRPM URL: http://gil.fedorapeople.org/junit-benchmarks-0.7.2-1.fc19.src.rpm
Description: 
A framework for writing performance micro-benchmarks using JUnit4 annotations.
Fedora Account System Username: gil
Comment 1 Gerard Ryan 2013-12-28 16:46:22 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 55 files have unknown license.
     Detailed output of licensecheck in /home/grdryn/1002166-junit-
     benchmarks/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in junit-
     benchmarks-javadoc
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: junit-benchmarks-0.7.2-1.fc21.noarch.rpm
          junit-benchmarks-javadoc-0.7.2-1.fc21.noarch.rpm
          junit-benchmarks-0.7.2-1.fc21.src.rpm
junit-benchmarks.noarch: W: spelling-error Summary(en_US) benchmarking -> bench marking, bench-marking, benchmark
junit-benchmarks.src: W: spelling-error Summary(en_US) benchmarking -> bench marking, bench-marking, benchmark
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint junit-benchmarks-javadoc junit-benchmarks
junit-benchmarks.noarch: W: spelling-error Summary(en_US) benchmarking -> bench marking, bench-marking, benchmark
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
junit-benchmarks-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

junit-benchmarks (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(com.h2database:h2)
    mvn(junit:junit)
    mvn(mysql:mysql-connector-java)



Provides
--------
junit-benchmarks-javadoc:
    junit-benchmarks-javadoc

junit-benchmarks:
    junit-benchmarks
    mvn(com.carrotsearch:junit-benchmarks)



Source checksums
----------------
https://github.com/carrotsearch/junit-benchmarks/archive/release/0.7.2.tar.gz :
  CHECKSUM(SHA256) this package     : df1139facf24ad870a2fc9e9d99fddd5c96c03e7ca19c43408d87e1081f29758
  CHECKSUM(SHA256) upstream package : df1139facf24ad870a2fc9e9d99fddd5c96c03e7ca19c43408d87e1081f29758


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1002166
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 2 Gerard Ryan 2013-12-28 16:49:31 EST
I'm not sure if the new Github "releases" feature makes it unnecessary (not sure how it works), but consider using the full commit hash to refer to the sources, as advised here, for immutability and uniqueness:

https://fedoraproject.org/wiki/Packaging:SourceURL#Github
Comment 3 gil cattaneo 2013-12-28 23:55:48 EST
(In reply to Gerard Ryan from comment #2)
> I'm not sure if the new Github "releases" feature makes it unnecessary (not
> sure how it works), but consider using the full commit hash to refer to the
> sources, as advised here, for immutability and uniqueness:
> 
> https://fedoraproject.org/wiki/Packaging:SourceURL#Github

These advices should be used for those repository which don't used newer Git(hub) features.
For immutability and uniqueness of the source archive, should be more than enough to use the available archives in

https://github.com/carrotsearch/junit-benchmarks/releases
or
​https://github.com/$OWNER/$PROJECT/releases (instead of ​https://github.com/$OWNER/$PROJECT/tags)
Comment 4 Gerard Ryan 2013-12-29 07:51:24 EST
(In reply to gil cattaneo from comment #3)
> (In reply to Gerard Ryan from comment #2)
> > I'm not sure if the new Github "releases" feature makes it unnecessary (not
> > sure how it works), but consider using the full commit hash to refer to the
> > sources, as advised here, for immutability and uniqueness:
> > 
> > https://fedoraproject.org/wiki/Packaging:SourceURL#Github
> 
> These advices should be used for those repository which don't used newer
> Git(hub) features.
> For immutability and uniqueness of the source archive, should be more than
> enough to use the available archives in
> 
> https://github.com/carrotsearch/junit-benchmarks/releases
> or
> ​https://github.com/$OWNER/$PROJECT/releases (instead of
> ​https://github.com/$OWNER/$PROJECT/tags)

Ah yeah, I had a feeling that that might be the case but wasn't sure. fedora-review+ btw. Thanks for packaging! :)
Comment 5 gil cattaneo 2013-12-29 08:10:12 EST
Thanks!

New Package SCM Request
=======================
Package Name: junit-benchmarks
Short Description: Code benchmarking in JUnit4
Owners: gil
Branches: f20
InitialCC: java-sig
Comment 6 Jens Petersen 2014-01-02 07:07:35 EST
Git done (by process-git-requests).
Comment 7 Fedora Update System 2014-01-02 09:11:34 EST
junit-benchmarks-0.7.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/junit-benchmarks-0.7.2-1.fc20
Comment 8 Fedora Update System 2014-01-03 03:31:32 EST
junit-benchmarks-0.7.2-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2014-01-11 03:43:54 EST
junit-benchmarks-0.7.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.